Bug 868220 - can't start session from fallback GDM after login failure
can't start session from fallback GDM after login failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-19 05:58 EDT by Jens Petersen
Modified: 2014-02-05 07:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:38:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of gdm hanging around after login (806.88 KB, image/png)
2012-11-01 00:56 EDT, Jens Petersen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 690803 None None None Never

  None (edit)
Description Jens Petersen 2012-10-19 05:58:11 EDT
Description of problem:
After an authentication error, when I login using fallback GDM
I am now longer able to start a desktop session.

Version-Release number of selected component (if applicable):
gdm-3.6.0-1.fc18
gdm-3.6.1-1.fc18

How reproducible:
100%

Steps to Reproduce:
1. install f18 with gdm
2. remove gnome-shell (if necessary)
3. login with gdm fallback
4. logout
5. authenticate in gdm with wrong password
6. try to login again and wait for desktop session to start
  
Actual results:
6. login succeeds but gdm hangs after authentication
   showing last login failure message and/or last login info.
   User is shown as logged in with green check icon
   but desktop session does not start.
   Pressing cancel reverts to gdm login but repeating
   gives same result.

Expected results:
6. desktop session to start normally.

Additional info:
Does not happen with gnome-shell GDM.
"Workaround" is to restart gdm.
Comment 1 Matthias Clasen 2012-10-29 22:29:54 EDT
sounds similar to the earlier problems where the old session is not quite ending and keeping gdm from creating a new one.

What does loginctl list-sessions say after the logout ?
If the session you just ended still shows up, what does loginctl session-status say for it ?
Comment 2 Jens Petersen 2012-11-01 00:55:16 EDT
Yeah somewhat similar but this happens with no prior X desktop session.

After the failed authentication, no hanging session:

# loginctl list-sessions 
         1         42 gdm              seat0           
         2          0 root             seat0

2 sessions listed.

After successful login (see screenshot attached below):

# loginctl list-sessions 
         1         42 gdm              seat0           
         2          0 root             seat0           
         3       1000 petersen         seat0     

3 sessions listed.
# loginctl session-status 3
3 - petersen (1000)
	   Since: Wed, 31 Oct 2012 21:55:35 -0400; 1min 13s ago
	  Leader: 1013 (gdm-session-wor)
	    Seat: seat0; vc1
	 Display: :0
	 Service: gdm-password; type x11; class user
	   State: online
	  CGroup: name=systemd:/user/petersen/3
		  ├ 1013 gdm-session-worker [pam/gdm-password]
		  └ 1022 /usr/bin/gnome-keyring-daemon --daemonize --login
# loginctl show-session 3
Id=3
Timestamp=Wed, 31 Oct 2012 21:55:35 -0400
TimestampMonotonic=275751659
DefaultControlGroup=name=systemd:/user/petersen/3
VTNr=1
Display=:0
Remote=no
Service=gdm-password
Leader=1013
Audit=3
Type=x11
Class=user
Active=no
State=online
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=petersen
Comment 3 Jens Petersen 2012-11-01 00:56:28 EDT
Created attachment 636460 [details]
screenshot of gdm hanging around after login
Comment 4 Jens Petersen 2012-11-01 01:00:06 EDT
Pressing Cancel goes back to gdm login, but repeating the process
it is not possible to login as that user without restarting gdm.
Comment 5 Tim Flink 2012-11-30 14:11:24 EST
There has been no movement on this in almost a month and no new reports. Is this still happening with F18 beta? Does it happen if fallback is forced via preferences instead of removing shell?

I'm -1 blocker, though. While it could be seen as a violation of the following F18 beta release criterion:

All release-blocking desktops' offered mechanisms (if any) for shutting down, logging out and rebooting must work.

If I'm understanding correctly, the user is logged out. They just can't log back in afterwards. I realize that I might be splitting hairs here but it wouldn't affect lives as users wouldn't usually be logging out from a live session (thus fixable with an update post-install) and sounds like it could be worked around with a system reboot or restarting gdm. I can't see blocking release for this if it were the last bug remaining.

I'm +1 NTH, though.
Comment 6 Adam Williamson 2012-12-01 03:23:15 EST
I broadly agree with tflink as described, but it's possible we're missing something. tentative -1 blocker / +1 nth.
Comment 7 Kevin Fenzi 2012-12-04 18:49:39 EST
Ditto. -1 blocker / +1 nth
Comment 8 Jens Petersen 2012-12-04 21:05:38 EST
> If I'm understanding correctly, the user is logged out.

or not yet logged in

>  (thus fixable with an update post-install) and sounds like it could
> be worked around with a system reboot or restarting gdm. I can't see
> blocking release for this if it were the last bug remaining.

Agreed NTH is fine: re-proposing.

(Apart from gnome it seems only @cinnamon and @sugar use now gdm:
I changed "@basic-desktop" to use lxdm - partly because of this bug.)
Comment 9 Robyn Bergeron 2012-12-05 01:47:27 EST
-1 blocker, +1 nth
Comment 10 Tim Flink 2012-12-13 04:42:03 EST
I count +4 NTH - moving to AcceptedNTH
Comment 11 Andre Klapper 2013-03-22 09:35:10 EDT
Upstream: https://bugzilla.gnome.org/show_bug.cgi?id=690803
(Cannot edit "See Also" here.)
Comment 12 Adam Williamson 2013-03-22 15:16:17 EDT
clearing acceptednth as f18 nth is closed now, adding upstream bug number.
Comment 13 Fedora End Of Life 2013-12-21 04:09:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 07:38:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.